PDA

View Full Version : Plugin continuously crashing now for everyone



Paul Priest
11 Dec 2015, 9:47 AM
The plugin was stable for a week or so, but has just started crashing for everyone with the Sencha Facet enabled and is no longer usable. This is on Mars.

The "Report" button just tells you it's disabled the plugin and then Eclipse quits.

I got a dialog like the following:

53750
With the Error:
Tern process ended unexpectedly with exit code 1 on port 64663 for D:\Projects\WebApps\edmui-trunk
Sencha Ext JS autocompletion will be disabled
And Stacktrace:
java.lang.RuntimeException:
at com.sencha.eclipse.tern.TernJob.runTernProcess(TernJob.groovy:213)
at com.sencha.eclipse.tern.TernJob.run(TernJob.groovy:139)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)




My team have reported various other issues.

One got the following in the Error log in Eclipse:
!ENTRY com.sencha.eclipse.plugin 1 0 2015-12-10 09:46:41.209
!MESSAGE Tern Job for xxx is completed - removing from list of jobs

!ENTRY com.sencha.eclipse.plugin 4 0 2015-12-10 09:46:41.224
!MESSAGE Tern process ended unexpectedly with exit code 1 on port 49645 for E:\dev\checkouts\WebApps\xxx\trunk

Sencha Ext JS autocompletion will be disabled
!STACK 0
java.lang.RuntimeException:
at com.sencha.eclipse.tern.TernJob.runTernProcess(TernJob.groovy:213)
at com.sencha.eclipse.tern.TernJob.run(TernJob.groovy:139)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)

The third is now getting the following on autocomplete:

53751
and
53752

sandeep.adwankar
11 Dec 2015, 1:12 PM
Hi!
We are aware of this issue. If you downloaded the Sencha Eclipse plugin within the last 30 days, you will need to download it again, so you can continue to use it. The 6.0.0 versions of the plugins will no longer work as of December 10, 2015. Thanks.

bounsoft
20 Jan 2016, 7:20 AM
5389053891

Please help me to solve this, thank you !!!

Chris.OBrien
20 Jan 2016, 11:58 AM
5389053891

Please help me to solve this, thank you !!!

We do have version 6.0.2 of the Eclipse plugin available, so I'd be interested in seeing how that might work for you. We also have 6.0.3 coming around the corner too.

If you installed the plugin through the Eclipse Marketplace, you should be able to have Eclipse automatically update it through Help -> Check for Updates otherwise you can get it from the support portal.

bounsoft
21 Jan 2016, 12:55 AM
We do have version 6.0.2 of the Eclipse plugin available, so I'd be interested in seeing how that might work for you. We also have 6.0.3 coming around the corner too.

If you installed the plugin through the Eclipse Marketplace, you should be able to have Eclipse automatically update it through Help -> Check for Updates otherwise you can get it from the support portal.
I have updated it to 6.0.2 and i have the same error any idea?

Chris.OBrien
21 Jan 2016, 6:39 AM
From the screenshots, it looks like you're in Windows?

Can you try these few steps to help me debug your issue?

Try these steps:

In Eclipse, close the project that is reporting this issue
Open Window -> Preferences -> Sencha.
What version does it say next to "Sencha Backend Version"?
Make sure 'Enable Debug Logging' is checked
Click OK
Window -> Show View -> Other... -> Error Log
Click the red 'x' icon. NOTE: this will delete your current workspace log
Open the project.
The error log should fill with output
Once you receive the Tern process error, export the log file. (should be left-most icon at top-right of Error Log view)
I will send you a PM with my email address, you can send the log there.
I'll keep the discussion about this problem publicly on the forums though, as it might assist other users. Thanks.